xgboost

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
xgboost::LinearUpdater Class Referenceabstract

interface of linear updater More...

`#include <linear_updater.h>`

Inheritance diagram for xgboost::LinearUpdater:
Collaboration diagram for xgboost::LinearUpdater:

## Public Member Functions
| ~LinearUpdater () override=default
| virtual destructor More...
virtual void | Configure (const std::vector< std::pair< std::string, std::string > > &args)=0
| Initialize the updater with given arguments. More...
virtual void | Update (HostDeviceVector< GradientPair > *in_gpair, DMatrix *data, gbm::GBLinearModel *model, double sum_instance_weight)=0
| Updates linear model given gradients. More...
Public Member Functions inherited from xgboost::Configurable
virtual | ~Configurable ()=default
virtual void | LoadConfig (Json const &in)=0
| Load configuration from JSON object. More...
virtual void | SaveConfig (Json *out) const =0
| Save configuration to JSON object. More...

## Static Public Member Functions
static LinearUpdater * | Create (const std::string &name, GenericParameter const *)
| Create a linear updater given name. More...

## Protected Attributes
GenericParameter const * | ctx_

## Detailed Description

interface of linear updater

## Constructor & Destructor Documentation

## ◆ ~LinearUpdater()

xgboost::LinearUpdater::~LinearUpdater | ( |  | ) |
| override default

virtual destructor

## Member Function Documentation

## ◆ Configure()

virtual void xgboost::LinearUpdater::Configure | ( | const std::vector< std::pair< std::string, std::string > > & | args | ) |
| pure virtual

Initialize the updater with given arguments.

Parameters

  args | arguments to the objective function.

## ◆ Create()

static LinearUpdater* xgboost::LinearUpdater::Create | ( | const std::string & | name,
|  | GenericParameter const * |
| ) |  |
| static

Create a linear updater given name.

Parameters

  name | Name of the linear updater.

## ◆ Update()

virtual void xgboost::LinearUpdater::Update | ( | HostDeviceVector< GradientPair > * | in_gpair,
|  | DMatrix * | data,
|  | gbm::GBLinearModel * | model,
|  | double | sum_instance_weight
| ) |  |
| pure virtual

Updates linear model given gradients.

Parameters

  in_gpair | The gradient pair statistics of the data.
  data | Input data matrix.
  model | Model to be updated.
  sum_instance_weight | The sum instance weights, used to normalise l1/l2 penalty.

## Member Data Documentation

## ◆ ctx_

GenericParameter const* xgboost::LinearUpdater::ctx_
| protected

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/include/xgboost/linear_updater.h